## libebml 1.3.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.2)

project(ebml VERSION 1.3.6)

option(DISABLE_PKGCONFIG "Disable PkgConfig module generation" OFF)
option(DISABLE_CMAKE_CONFIG "Disable CMake package config module generation" OFF)

include(GNUInstallDirs)

set(libebml_SOURCES
  src/Debug.cpp
  src/EbmlBinary.cpp
  src/EbmlContexts.cpp
  src/EbmlCrc32.cpp
  src/EbmlDate.cpp
  src/EbmlDummy.cpp
  src/EbmlElement.cpp
  src/EbmlFloat.cpp
  src/EbmlHead.cpp
  src/EbmlMaster.cpp
  src/EbmlSInteger.cpp
  src/EbmlStream.cpp
  src/EbmlString.cpp
  src/EbmlSubHead.cpp
  src/EbmlUInteger.cpp
  src/EbmlUnicodeString.cpp
  src/EbmlVersion.cpp
  src/EbmlVoid.cpp
  src/IOCallback.cpp
  src/MemIOCallback.cpp
  src/MemReadIOCallback.cpp
  src/SafeReadIOCallback.cpp
  src/StdIOCallback.cpp)

set(libebml_PUBLIC_HEADERS
  ebml/Debug.h
  ebml/EbmlBinary.h
  ebml/EbmlConfig.h
  ebml/EbmlContexts.h
  ebml/EbmlCrc32.h
  ebml/EbmlDate.h
  ebml/EbmlDummy.h
  ebml/EbmlElement.h
  ebml/EbmlEndian.h
  ebml/EbmlFloat.h
  ebml/EbmlHead.h
  ebml/EbmlId.h
  ebml/EbmlMaster.h
  ebml/EbmlSInteger.h
  ebml/EbmlStream.h
  ebml/EbmlString.h
  ebml/EbmlSubHead.h
  ebml/EbmlTypes.h
  ebml/EbmlUInteger.h
  ebml/EbmlUnicodeString.h
  ebml/EbmlVersion.h
  ebml/EbmlVoid.h
  ebml/IOCallback.h
  ebml/MemIOCallback.h
  ebml/MemReadIOCallback.h
  ebml/SafeReadIOCallback.h
  ebml/StdIOCallback.h)
if(WIN32)
  list(APPEND libebml_SOURCES
    src/platform/win32/WinIOCallback.cpp)
  list(APPEND libebml_PUBLIC_HEADERS
    src/platform/win32/WinIOCallback.h)
endif()

set(libebml_C_PUBLIC_HEADERS ebml/c/libebml_t.h)

add_library(ebml ${libebml_SOURCES} ${libebml_PUBLIC_HEADERS} ${libebml_C_PUBLIC_HEADERS})
if(WIN32)
  include(CheckIncludeFile)
  check_include_file(winapifamily.h HAVE_WINAPIFAMILY_H)
  if(HAVE_WINAPIFAMILY_H)
    target_compile_definitions(ebml PUBLIC HAVE_WINAPIFAMILY_H)
  endif()
endif()
set_target_properties(ebml PROPERTIES
  VERSION 4.0.0
  SOVERSION 4)
target_include_directories(ebml PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
  $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>)
if(MSVC)
  target_compile_definitions(ebml PRIVATE _CRT_SECURE_NO_WARNINGS)
endif()
if(BUILD_SHARED_LIBS)
  set_target_properties(ebml
    PROPERTIES
    DEFINE_SYMBOL "EBML_DLL_EXPORT"
    C_VISIBILITY_PRESET hidden
    VISIBILITY_INLINES_HIDDEN 1)
  target_compile_definitions(ebml
    PUBLIC EBML_DLL
    PRIVATE EBML_DLL_EXPORT)
endif()

install(TARGETS ebml
  EXPORT EbmlTargets
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

install(FILES ${libebml_PUBLIC_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/ebml)
install(FILES ${libebml_C_PUBLIC_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/ebml/c)

if(NOT DISABLE_PKGCONFIG)
  set(prefix ${CMAKE_INSTALL_PREFIX})
  set(exec_prefix "\$\{prefix\}")
  set(libdir "\$\{prefix\}/${CMAKE_INSTALL_LIBDIR}")
  set(includedir "\$\{prefix\}/${CMAKE_INSTALL_INCLUDEDIR}")
  set(PACKAGE_VERSION ${PROJECT_VERSION})
  configure_file(libebml.pc.in libebml.pc @ONLY)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libebml.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
endif()

if(NOT DISABLE_CMAKE_CONFIG)
  if(WIN32)
    set(CMAKE_INSTALL_PACKAGEDIR cmake)
  else()
    set(CMAKE_INSTALL_PACKAGEDIR ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})
  endif()
  include(CMakePackageConfigHelpers)
  write_basic_package_version_file(EbmlConfigVersion.cmake COMPATIBILITY SameMajorVersion)
  install(EXPORT EbmlTargets DESTINATION ${CMAKE_INSTALL_PACKAGEDIR})
  install(FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/EbmlConfig.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/EbmlConfigVersion.cmake
      DESTINATION ${CMAKE_INSTALL_PACKAGEDIR})
endif()

=== debian/changelog ===
libebml (1.3.6-2) unstable; urgency=medium

  * Team upload.
  * debian/libebml-dev.install: Install cmake config files required by
    libmatroska.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 22 Apr 2018 10:35:57 +0200

libebml (1.3.6-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Sebastian Ramacher ]
  * New upstream release.
  * debian/libebml-dev.dirs: Remove obsolete file.
  * debian/:
    - Convert to cmake build system.
    - Bump debhelper compat level to 11.
  * debian/control: Bump Standards-Version
  * debian/watch: Use https

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 22 Apr 2018 10:24:33 +0200

=== debian/control ===
Source: libebml
Section: devel
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
 Rico Tzschichholz <ricotz@ubuntu.com>,
 Matteo F. Vescovi <mfv@debian.org>
Build-Depends:
 debhelper (>= 11),
 cmake,
 pkg-config,
 g++ (>= 4:7)
Standards-Version: 4.1.4
Homepage: http://dl.matroska.org/downloads/libebml/
Vcs-Git: https://salsa.debian.org/multimedia-team/libebml.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/libebml

Package: libebml4v5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 libebml4
Replaces:
 libebml4
Description: access library for the EBML format (shared library)
 The libebml library allows one to read and write files using EBML (the
 Extensible Binary Meta Language), a binary pendant to XML. Using libebml
 makes it easier to extend a file format without breaking support in
 older parsers.
 .
 This package contains the shared library needed to run applications that
 use libebml.

Package: libebml-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libebml4v5 (= ${binary:Version}),
 ${misc:Depends}
Description: access library for the EBML format (development files)
 The libebml library allows one to read and write files using EBML (the
 Extensible Binary Meta Language), a binary pendant to XML. Using libebml
 makes it easier to extend a file format without breaking support in
 older parsers.
 .
 This package contains the header files and static libraries needed to
 compile applications that use libebml.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_SHARED_LIBS=ON

override_dh_makeshlibs:
	# For new symbols when compiled with GCC 7 (this version b-depends on GCC 7)
	dh_makeshlibs -V'libebml4v5 (>= 1.3.4-2~)'

## libebml 1.3.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.1.2)
 
-project(ebml VERSION 1.3.6)
+project(ebml VERSION 1.3.7)
 
 option(DISABLE_PKGCONFIG "Disable PkgConfig module generation" OFF)
 option(DISABLE_CMAKE_CONFIG "Disable CMake package config module generation" OFF)
@@ -60,12 +60,6 @@
   ebml/MemReadIOCallback.h
   ebml/SafeReadIOCallback.h
   ebml/StdIOCallback.h)
-if(WIN32)
-  list(APPEND libebml_SOURCES
-    src/platform/win32/WinIOCallback.cpp)
-  list(APPEND libebml_PUBLIC_HEADERS
-    src/platform/win32/WinIOCallback.h)
-endif()
 
 set(libebml_C_PUBLIC_HEADERS ebml/c/libebml_t.h)

=== debian/changelog ===
libebml (1.3.7-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Drop to debhelper compat 10.
  * Drop g++ 7 requirement, builds fine on gcc 6.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 27 Apr 2019 10:13:59 -0700

libebml (1.3.7-1) experimental; urgency=medium

  * New upstream release
  * debian/control: S-V bump 4.1.4 -> 4.3.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 15 Mar 2019 22:36:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: libebml
 Section: devel
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
  Rico Tzschichholz <ricotz@ubuntu.com>,
  Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 10),
  cmake,
  pkg-config,
- g++ (>= 4:7)
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: http://dl.matroska.org/downloads/libebml/
 Vcs-Git: https://salsa.debian.org/multimedia-team/libebml.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libebml

## libebml 1.3.9

=== debian/changelog ===
libebml (1.3.9-2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 11 Jul 2019 10:36:52 -0700

libebml (1.3.9-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 07 Jul 2019 12:10:59 +0200

libebml (1.3.9-1) experimental; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 29 May 2019 20:19:55 +0200

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,10 @@
  Rico Tzschichholz <ricotz@ubuntu.com>,
  Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  cmake,
  pkg-config,
+# g++ (>= 4:7)
 Standards-Version: 4.3.0
 Homepage: http://dl.matroska.org/downloads/libebml/
 Vcs-Git: https://salsa.debian.org/multimedia-team/libebml.git

## libebml 1.3.10

=== debian/changelog ===
libebml (1.3.10-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:17:58 +0100

libebml (1.3.10-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * Bump Standards-Version to 4.4.1

  [ Matteo F. Vescovi ]
  * New upstream release
  * debian/control:
    - RRR set
    - debhelper bump 11 -> 12

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 16 Dec 2019 20:48:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: libebml
 Section: devel
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
  Rico Tzschichholz <ricotz@ubuntu.com>,
  Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  cmake,
- pkg-config,
-# g++ (>= 4:7)
-Standards-Version: 4.3.0
+ g++ (>= 4:7),
+ pkg-config
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: http://dl.matroska.org/downloads/libebml/
 Vcs-Git: https://salsa.debian.org/multimedia-team/libebml.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libebml

=== debian/watch ===
version=3
https://dl.matroska.org/downloads/libebml/libebml-(.*)\.tar\.xz

## libebml 1.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,15 @@
 cmake_minimum_required(VERSION 3.1.2)
 
-project(ebml VERSION 1.3.7)
+project(ebml VERSION 1.4.0)
 
 option(DISABLE_PKGCONFIG "Disable PkgConfig module generation" OFF)
 option(DISABLE_CMAKE_CONFIG "Disable CMake package config module generation" OFF)
+option(ENABLE_WIN32_IO "Build the Windows I/O helper class" OFF)
 
 include(GNUInstallDirs)
+
+set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 set(libebml_SOURCES
   src/Debug.cpp
@@ -31,6 +35,11 @@
   src/MemReadIOCallback.cpp
   src/SafeReadIOCallback.cpp
   src/StdIOCallback.cpp)
+
+if(WIN32 AND ENABLE_WIN32_IO)
+   list(APPEND libebml_SOURCES
+     src/platform/win32/WinIOCallback.cpp)
+endif()
 
 set(libebml_PUBLIC_HEADERS
   ebml/Debug.h
@@ -72,33 +81,41 @@
   endif()
 endif()
 set_target_properties(ebml PROPERTIES
-  VERSION 4.0.0
-  SOVERSION 4)
-target_include_directories(ebml PUBLIC
-  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
-  $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>)
+  VERSION 5.0.0
+  SOVERSION 5
+  CXX_VISIBILITY_PRESET hidden
+  VISIBILITY_INLINES_HIDDEN ON
+)
+target_include_directories(ebml
+  PRIVATE
+    $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
+  PUBLIC
+    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
+    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>)
 if(MSVC)
   target_compile_definitions(ebml PRIVATE _CRT_SECURE_NO_WARNINGS)
 endif()
-if(BUILD_SHARED_LIBS)
-  set_target_properties(ebml
-    PROPERTIES
-    DEFINE_SYMBOL "EBML_DLL_EXPORT"
-    C_VISIBILITY_PRESET hidden
-    VISIBILITY_INLINES_HIDDEN 1)
-  target_compile_definitions(ebml
-    PUBLIC EBML_DLL
-    PRIVATE EBML_DLL_EXPORT)
+
+include(GenerateExportHeader)
+generate_export_header(ebml EXPORT_MACRO_NAME EBML_DLL_API)
+target_sources(ebml
+  PRIVATE
+    ${CMAKE_CURRENT_BINARY_DIR}/ebml_export.h
+)
+
+if(NOT BUILD_SHARED_LIBS)
+  target_compile_definitions(ebml PUBLIC EBML_STATIC_DEFINE)
 endif()
 
 install(TARGETS ebml
-  EXPORT EbmlTargets
+  EXPORT EBMLTargets
   RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
   ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
   LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
 
 install(FILES ${libebml_PUBLIC_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/ebml)
 install(FILES ${libebml_C_PUBLIC_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/ebml/c)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ebml_export.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/ebml)
 
 if(NOT DISABLE_PKGCONFIG)
   set(prefix ${CMAKE_INSTALL_PREFIX})
@@ -106,21 +123,25 @@
   set(libdir "\$\{prefix\}/${CMAKE_INSTALL_LIBDIR}")
   set(includedir "\$\{prefix\}/${CMAKE_INSTALL_INCLUDEDIR}")
   set(PACKAGE_VERSION ${PROJECT_VERSION})
+  if (HAVE_WINAPIFAMILY_H)
+    set(WINAPIFAMILY_PC -DHAVE_WINAPIFAMILY_H)
+  endif()
+  if(NOT BUILD_SHARED_LIBS)
+    set(STATIC_DEFINE_CFLAGS -DEBML_STATIC_DEFINE)
+  endif()
   configure_file(libebml.pc.in libebml.pc @ONLY)
   install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libebml.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
 endif()
 
 if(NOT DISABLE_CMAKE_CONFIG)
-  if(WIN32)
-    set(CMAKE_INSTALL_PACKAGEDIR cmake)
-  else()
-    set(CMAKE_INSTALL_PACKAGEDIR ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})
-  endif()
+  set(CMAKE_INSTALL_PACKAGEDIR ${CMAKE_INSTALL_LIBDIR}/cmake/EBML)
   include(CMakePackageConfigHelpers)
-  write_basic_package_version_file(EbmlConfigVersion.cmake COMPATIBILITY SameMajorVersion)
-  install(EXPORT EbmlTargets DESTINATION ${CMAKE_INSTALL_PACKAGEDIR})
+  configure_package_config_file(EBMLConfig.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/EBMLConfig.cmake
+    INSTALL_DESTINATION ${CMAKE_INSTALL_PACKAGEDIR})
+  write_basic_package_version_file(EBMLConfigVersion.cmake COMPATIBILITY SameMajorVersion)
+  install(EXPORT EBMLTargets NAMESPACE EBML:: DESTINATION ${CMAKE_INSTALL_PACKAGEDIR})
   install(FILES
-    ${CMAKE_CURRENT_SOURCE_DIR}/EbmlConfig.cmake
-    ${CMAKE_CURRENT_BINARY_DIR}/EbmlConfigVersion.cmake
+    ${CMAKE_CURRENT_BINARY_DIR}/EBMLConfig.cmake
+    ${CMAKE_CURRENT_BINARY_DIR}/EBMLConfigVersion.cmake
       DESTINATION ${CMAKE_INSTALL_PACKAGEDIR})
 endif()

=== debian/changelog ===
libebml (1.4.0-2~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 05 Aug 2020 07:25:34 -0700

libebml (1.4.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 06 Jul 2020 22:20:56 +0200

libebml (1.4.0-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

  [ Matteo F. Vescovi ]
  * New upstream release
    - debian/: SONAME bump 4v5 -> 5
  * debian/control: debhelper bump 12 -> 13
  * debian/control: S-V bump 4.4.1 -> 4.5.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 05 Jul 2020 22:54:03 +0200

=== debian/control ===
Source: libebml
Section: devel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
           Rico Tzschichholz <ricotz@ubuntu.com>,
           Matteo F. Vescovi <mfv@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 12),
               g++ (>= 4:7),
               pkg-config
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://dl.matroska.org/downloads/libebml/
Vcs-Git: https://salsa.debian.org/multimedia-team/libebml.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/libebml

Package: libebml5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libebml4
Replaces: libebml4
Description: access library for the EBML format (shared library)
 The libebml library allows one to read and write files using EBML (the
 Extensible Binary Meta Language), a binary pendant to XML. Using libebml
 makes it easier to extend a file format without breaking support in
 older parsers.
 .
 This package contains the shared library needed to run applications that
 use libebml.

Package: libebml-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libebml5 (= ${binary:Version}), ${misc:Depends}
Description: access library for the EBML format (development files)
 The libebml library allows one to read and write files using EBML (the
 Extensible Binary Meta Language), a binary pendant to XML. Using libebml
 makes it easier to extend a file format without breaking support in
 older parsers.
 .
 This package contains the header files and static libraries needed to
 compile applications that use libebml.

## libebml 1.4.1

=== debian/changelog ===
libebml (1.4.1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 09 Feb 2021 06:10:00 -0800

libebml (1.4.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: S-V bump 4.5.0 -> 4.5.1 (no changes needed)
  * debian/watch: version bump 3 -> 4

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 27 Jan 2021 22:28:39 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: devel
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+XSBC-Original-Maintainer: Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
            Rico Tzschichholz <ricotz@ubuntu.com>,
            Matteo F. Vescovi <mfv@debian.org>
 Build-Depends: cmake,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                g++ (>= 4:7),
                pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://dl.matroska.org/downloads/libebml/
 Vcs-Git: https://salsa.debian.org/multimedia-team/libebml.git

=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,7 @@
 
 override_dh_makeshlibs:
 	# For new symbols when compiled with GCC 7 (this version b-depends on GCC 7)
-	dh_makeshlibs -V'libebml4v5 (>= 1.3.4-2~)'
+	dh_makeshlibs -V'libebml5 (>= 1.3.4-2~)'
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## libebml 1.4.2

=== debian/changelog ===
libebml (1.4.2-2) unstable; urgency=medium

  * Team upload
  * debian/patches: Apply upstream patch to fix build with GCC 11 (Closes:
    #984099)
  * debian/control:
    - Bump Standards-Version
    - Remove B-D already satisfied in buster
    - Remove obsolete Breaks+Replaces
  * debian/rules: Remove dh_makeshlibs override as the version is satisfied in
    bullseye

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 12 Oct 2021 22:19:43 +0200

libebml (1.4.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Fix heap buffer overflows (CVE-2021-3405) (Closes: #982597)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 21 Feb 2021 14:55:06 +0100

=== debian/control ===
Source: libebml
Section: devel
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
 Rico Tzschichholz <ricotz@ubuntu.com>,
 Matteo F. Vescovi <mfv@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 pkg-config
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://dl.matroska.org/downloads/libebml/
Vcs-Git: https://salsa.debian.org/multimedia-team/libebml.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/libebml

Package: libebml5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: access library for the EBML format (shared library)
 The libebml library allows one to read and write files using EBML (the
 Extensible Binary Meta Language), a binary pendant to XML. Using libebml
 makes it easier to extend a file format without breaking support in
 older parsers.
 .
 This package contains the shared library needed to run applications that
 use libebml.

Package: libebml-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libebml5 (= ${binary:Version}),
 ${misc:Depends}
Description: access library for the EBML format (development files)
 The libebml library allows one to read and write files using EBML (the
 Extensible Binary Meta Language), a binary pendant to XML. Using libebml
 makes it easier to extend a file format without breaking support in
 older parsers.
 .
 This package contains the header files and static libraries needed to
 compile applications that use libebml.

=== debian/watch ===
version=4
https://dl.matroska.org/downloads/libebml/libebml-(.*)\.tar\.xz

## libebml 1.4.4

=== debian/changelog ===
libebml (1.4.4-1+deb12u1) bookworm; urgency=medium

  * CVE-2023-52339 (Integer overflow in MemIOCallback::read)

 -- Moritz Mühlenhoff <jmm@debian.org>  Fri, 03 Jan 2025 17:00:30 +0100

libebml (1.4.4-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.4.4 (Closes: #1021486)
  * debian/control: Bump Standards-Version
  * debian/patches: Drop patches included upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 09 Oct 2022 16:22:47 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  debhelper-compat (= 13),
  cmake,
  pkg-config
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://dl.matroska.org/downloads/libebml/
 Vcs-Git: https://salsa.debian.org/multimedia-team/libebml.git

## libebml 1.4.5

=== debian/changelog ===
libebml (1.4.5-2) unstable; urgency=medium

  * Team upload
  * debian/patches: Bump minimum CMake version (Closes: #1113142)
  * debian/control:
    - Bump Standards-Version
    - Use pkgconf

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 02 Sep 2025 21:04:04 +0200

libebml (1.4.5-1) unstable; urgency=medium

  * New upstream release
  * debian/control: S-V bump 4.6.1 -> 4.6.2 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 06 Jan 2024 14:56:14 +0100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
- pkg-config
-Standards-Version: 4.6.1
+ pkgconf
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://dl.matroska.org/downloads/libebml/
 Vcs-Git: https://salsa.debian.org/multimedia-team/libebml.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_SHARED_LIBS=ON
